/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Apr 30 2002
    copyright            : (C) 2002 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/




#include <qdir.h>

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kurl.h>

#include <sqlgui/sqlgui_part.h>

#include "sqlgui.h"
#include <iostream>
#include <iomanip>
using namespace std;

static KCmdLineOptions options[] =
        {
                { "+[URL]", I18N_NOOP( "Location to open" ), 0 },
                { 0,        0,                               0 }
        };

static const char *version = "1.0";
static const char *description = I18N_NOOP("A graphical database-frontend.");


int main( int argc, char** argv )
{
	KCmdLineArgs::init( argc, argv, SqlGuiPart::createAboutData() );
	//    KCmdLineArgs::init( argc, argv, "SqlGui", description, version );
	KCmdLineArgs::addCmdLineOptions( options );
	KApplication app;
	KCmdLineArgs* args = KCmdLineArgs::parsedArgs();

	//  std::cout << args->count() << " " << args->arg(0) << endl;;

	if( kapp->isRestored() ){
		RESTORE( Shell );
	} else {
		Shell * shell = new Shell;
		if( args->count() == 1 ) {
			if( QString( args->arg(0) ) == "-" ){
			} else {
				KURL url( QDir::currentDirPath() + "/", args->arg(0) );
				//std::cout << url.prettyURL() << endl;
				//	shell->openURL( url );
				shell->openNewDBTab( url );
			}
		}
		shell->show();
	}
	return app.exec();
}



